buffer_seek(3)

NAME
buffer_seek - remove bytes from beginning of string in buffer

SYNTAX
#include <libowfat/buffer.h> ssize_t buffer_seek(buffer* b,size_t r);

DESCRIPTION
buffer_seek removes r bytes from the beginning of the string. r can not be larger than the maximum value that ssize_t can represent.

RETURN VALUE
Returns r (or -1 on error).

SEE ALSO
buffer_init(3), buffer_feed(3), buffer_peek(3), buffer_get(3), buffer(3)